/* Overlay */
#overlay {
    background-color: rgba(0, 0, 0, 0.35);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    z-index: 9999;
}

/* Modal */
#overlay .modal {
    width: 600px;
    background-color: #fff;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 10px;
    overflow: hidden;
}

/* Modal title */
#overlay .modal_title {
    width: 100%;
    position: relative;
    color: #fff;
    font-weight: bold;
    font-size: 20px;
    text-align: center;
    padding: 20px 40px;
    /* background-color: var(--primary-color, #0099FF); */
}

/* Close button */
#overlay .close_modal {
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
    z-index: 10;
    color: #fff;
    width: 30px;
    height: 30px;
}

.close_modal span {
    line-height: 1;
    font-size: 30px;
}

/* ==================== OFFER MODAL STYLES ==================== */

.offer_modal .logo img {
    max-width: 150px;
}

.offer_modal .text {
    color: #191919;
    font-weight: bold;
    font-size: 25px;
}

.offer_modal {
    padding: 20px 30px;
    display: flex;
    text-decoration: none;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.offer_modal .button .offer_button {
    margin-top: 0;
}

.offer_modal.border {
    border-top: 1px solid #0099FF;
    border-bottom: 1px solid #0099FF;
}



/* Adaptive for mobile */
@media(max-width: 767px) {
    #overlay .modal {
        width: 94%;
    }

    .offer_modal {
        justify-content: center;
    }

    .offer_modal .text {
        font-size: 20px;
        margin-left: 20px;
    }

    .offer_modal .logo img {
        max-width: 100px;
    }

    .offer_modal .button .offer_button {
        margin-top: 10px;
    }

    #overlay .modal_title {
        font-size: 16px;
        padding: 15px 20px;
    }
}

/* Adaptive for mobile */
@media(max-width: 767px) and (min-width: 480px) {
    .offer_modal {
        align-items: center;
    }

    .offer_modal .offer_button {
        margin-top: 0px !important;
    }

    .offer_modal .button {
        /* flex-direction: column;
        text-align: center; */
        margin-left: 20px;
    }
}